Changing the instructor for a Course
2019-10-17 01:37 PM - Colin McDonald

Status: Resolved Start date: 2019-10-17
Priority name: Normal Due date:

Assignee: Boone Gorges % Done: 100%
Category name: Courses Estimated time: 0.00 hour
Target version: Not tracked

Description

| set up this Course site for a professor, and then she signed up for the Commons and | made her the second admin account on it:

https://art1010simon.commons.gc.cuny.edu

I'm listed as the Instructor in course results though, | guess because | created the site initially? How do | transfer the Instructor title to
the other admin, ideally while keeping my own admin rights?

History

#1 - 2019-10-17 03:52 PM - Boone Gorges
- Category name set to Courses
- Status changed from New to Reporter Feedback

- Target version set to Not tracked

The Course object that powers the item in the Courses directory is created at the time of site/group creation, using the "instructor" (ie administrator)
data available at that time. Making a change to the site admin after this fact has no effect on the Courses directory. See
https://redmine.gc.cuny.edu/issues/11556#note-1.

I've made the change for you in this case. If there are other instances, please share the name of the course as it appears in the directory, and the
username of the user(s) who should be listed instead of you as the Instructor.

#2 - 2019-10-25 05:12 PM - Colin McDonald

Got it Boone, thanks. I'm gathering info for a few more courses that | need changed and will get back to you.

#3 - 2019-10-28 07:09 PM - Colin McDonald

Hi Boone, here are the instances where | need my name changed from the instructor to another user. Here are the course site links, listing text, and
the current user on the site who should become the instructor. Just let me know if you need anything else, and thanks.

https://art3066.commons.gc.cuny.edu
ART 3066: MODERN ART
msimon

https://anth1105santos.commons.gc.cuny.edu
ANTH 1105
jsantoslopez

https://socysports.commons.gc.cuny.edu/
Sociology of Sports
11979

https://socy1101.commons.gc.cuny.edu
Sociology 1101: Introduction to Sociology
cbmunoz

https://sochiphop.commons.gc.cuny.edu
Sociology of Hip-Hop: Beyond Beats and Rhymes
dgranv2

#4 - 2019-10-29 02:00 PM - Boone Gorges

Thanks, Colin. I've made these changes. Let me know if there are any more, and if not, go ahead and close out the ticket.

#5 - 2019-11-24 02:13 PM - Colin McDonald
- Status changed from Reporter Feedback to Resolved

- % Done changed from 0 to 100

#6 - 2020-02-18 12:19 PM - Colin McDonald

- Status changed from Resolved to Assigned

Hello Boone, reopening this for another Instructor update if possible on this site: https://anth1105miller.commons.gc.cuny.edu/

I'm listed as the Instructor presently, but I'd like it to be the user "tommiller" who is also an admin of the site now. Thanks!

#7 - 2020-02-18 12:21 PM - Boone Gorges

- Status changed from Assigned to Resolved

I've made the change https://commons.gc.cuny.edu/courses/?filters%5Bkeyword%5D=anth&order-by=semester
mmons.gc.cuny. 'wp-admin, .php? = ion=edi
